
.talkinput_wrap {
    // 토스트메시지 위치 조정
    .toast {
        bottom:auto;
        top:-56px;
    }
    &.open_emoji {
        .toast {
            top:-309px;
        }
    }
    &.open_emoji_selected {
        .toast {
            top: -439px;
        }
        .input_emoji_area  {
            .emoji_select_wrap {
                top:-380px;
            }
        }
    }
    .input_emoji_area {
        .emoji_select_wrap {
            .emoji_selected_wrap {
                width:100%;
                height:130px;
                background-color:rgba(0, 0, 0, 0.5);
                display:flex;
                justify-content: center;
                align-items: center;
                position:relative;
                .btn.close {
                    position:absolute;
                    right:10px;
                    top:10px;
                }
                .emoji {
                    img {
                        width:100px;
                    }
                }
            }
            width:100%;
            position:absolute;
            top:-250px;
            left:0;
            z-index:10;
            .tab {
                background-color: #1B1B1B;
                border-bottom: 1px solid #333;
                ul {
                    padding:5px 20px;
                    display:flex;
                    flex-direction: row;
                    align-items: center;
                    flex-wrap: nowrap;
                    li {
                        flex:0 0 auto;
                        &.selected .sample {
                            width:42px;
                            height:42px;
                            border-radius:10px;
                            background-color:#595959;
                        }
                        .sample {
                            background-image:url('../../../assets/img/emoji/emoji_cate.svg')
                        }
                    }
                }
            }

            .emojies {
                background-color: #1B1B1B;
                padding:20px 15px;
                ul {
                    display:flex;
                    flex-direction: row;
                    align-items: center;
                    flex-wrap:wrap;
                    li {
                        width:calc(100% / 4);
                        &:nth-child(-n + 5) {
                            margin-bottom:14px;
                        }
                        &.not_selected {
                            opacity:0.4;
                        }
                        .sample {
                            width:75px;
                            height:66px;
                            font-size:0;
                            line-height:0;
                            img {
                                width:100%;
                                height:100%;
                            }
                        }
                    }
                }
            }
        }
        .talk_input_wrap {
            display:flex;
            flex-direction: row;
            align-items: center;
            padding:10px 10px 10px 0;
            position:relative;
            z-index:10;
            .btn_photo_wrap {
                width:50px;
                display:flex;
                justify-content: center;
                align-items: center;
            }
            .talk_input {
                flex:1;
                display:flex;
                flex-direction: row;
                align-items: center;
                .talk_input_inner {
                    flex:1;
                    position:relative;
                    padding:5px 5px 5px 15px; 
                    background-color:#333;
                    border-radius:48px;
                    display:flex;
                    flex-direction: row;
                    justify-content: space-between;
                    align-items: center;
                    &.lines {
                        border-radius:20px;
                    }
                    .input_wrap {
                        width:100%;
                        padding: 5px 0;
                        flex:1;
                        
                        .input {
                            width:calc(100% + 20px);
                            color:#fff;
                            word-break:break-all;
                            font-size:16px;
                            font-weight:400;
                            line-height:22.8px;
                            letter-spacing: -1.14px;
                            outline:none;
                            transform: scale(0.875);
                            transform-origin:left top;
                        }
                        
                    }
                    .btn_emoji_wrap {
                        margin-right:10px;
                    }
                    &.image {
                        border-radius:20px;
                        .selected_img {
                            display:inline-block;
                            position:relative;
                            img {
                                width:80px;
                                border-radius: 6px;
                                border: 1px solid #999;
                            }
                            .img_del {
                                position:absolute;
                                right:5px;
                                top:5px;
                            }

                        }
                    }
                }
            }
        
            
        }
    }
}
